import { FC } from 'react';
import { AnyEvent } from '../events';
import { JsonData } from './Json';
export declare enum DisplayMode {
    auto = "auto",
    plain = "plain",
    datetime = "datetime",
    date = "date",
    duration = "duration",
    as_title = "as_title",
    markdown = "markdown",
    json = "json",
    inline_code = "inline_code"
}
export interface DisplayProps {
    type: 'Display';
    value?: JsonData;
    mode?: DisplayMode;
    title?: string;
    onClick?: AnyEvent;
}
export declare const DisplayComp: FC<DisplayProps>;
interface DisplayArrayProps {
    value: JsonData[];
    mode?: DisplayMode;
    type: 'DisplayArray';
}
export declare const DisplayArray: FC<DisplayArrayProps>;
interface DisplayObjectProps {
    value: {
        [key: string]: JsonData;
    };
    mode?: DisplayMode;
    type: 'DisplayObject';
}
export declare const DisplayObject: FC<DisplayObjectProps>;
type JSONPrimitive = string | number | boolean | null;
export interface DisplayPrimitiveProps {
    value: JSONPrimitive;
    mode: DisplayMode;
    type: 'DisplayPrimitive';
}
export declare const DisplayPrimitive: FC<DisplayPrimitiveProps>;
export type AllDisplayProps = DisplayProps | DisplayArrayProps | DisplayObjectProps | DisplayPrimitiveProps;
export type ModelData = Record<string, JsonData>;
export interface DisplayLookupProps extends Omit<DisplayProps, 'type' | 'value'> {
    field: string;
    tableWidthPercent?: number;
}
export declare function renderEvent(event: AnyEvent | undefined, data: ModelData): AnyEvent | undefined;
export {};
