import { jsx as _jsx } from "react/jsx-runtime";
import { useClassName } from '../hooks/className';
import { LinkListComp } from './LinkList';
export const PaginationComp = (props) => {
    const { page, pageCount } = props;
    const className = useClassName(props);
    if (pageCount === 1)
        return null;
    const links = [
        {
            type: 'Link',
            components: [{ type: 'Text', text: 'Previous' }],
            locked: page !== 1,
            onClick: { type: 'go-to', query: { page: page - 1 } },
        },
        {
            type: 'Link',
            components: [{ type: 'Text', text: 'Next' }],
            locked: page !== pageCount,
            onClick: { type: 'go-to', query: { page: page + 1 } },
        },
    ];
    return (_jsx("div", { className: className, children: _jsx(LinkListComp, { type: "LinkList", links: links, mode: "pagination" }) }));
};
