/// <reference types="react" />
import type { FastClassNameProps } from '../components';
export type ClassName = string | ClassName[] | Record<string, boolean | null> | undefined;
interface ClassNameGeneratorArgs {
    props: FastClassNameProps;
    fullPath: string;
    subElement?: string;
}
export type ClassNameGenerator = (args: ClassNameGeneratorArgs) => ClassName;
export declare const ClassNameContext: import("react").Context<ClassNameGenerator | null>;
interface UseClassNameExtra {
    dft?: ClassName;
    el?: string;
}
/**
 * Generates a `className` from `props`, `classNameGenerator` or the default value.
 *
 * @param props The full props object sent from the backend, this is passed to the class name generator.
 * @param extra dft class name or sub-element
 */
export declare function useClassName(props: FastClassNameProps, extra?: UseClassNameExtra): string | undefined;
/**
 * Renders the className to a string, removing plus signs.
 * @param className
 */
export declare function renderClassName(className: ClassName): string;
export {};
