import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useCallback, useContext } from 'react';
const EventContext = createContext(null);
export const useEventContext = () => {
    const context = useContext(EventContext);
    return useCallback((template) => applyContext(template, context), [context]);
};
export const EventContextProvider = ({ children, context, }) => {
    return _jsx(EventContext.Provider, { value: context, children: children });
};
const applyContext = (template, context) => {
    if (!context) {
        return template;
    }
    return template.replace(/{(.+?)}/g, (_, key) => {
        const v = context[key];
        if (v === undefined) {
            throw new Error(`field "${key}" not found in ${JSON.stringify(context)}`);
        }
        else {
            return v.toString();
        }
    });
};
